Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604057 - Wrong resolution selected by MGA driver with MGA G200e
Wrong resolution selected by MGA driver with MGA G200e
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: OtherQA, Regression, Triaged
Depends On:
Blocks: 599016 627719
  Show dependency treegraph
 
Reported: 2010-06-15 06:19 EDT by Olivier Fourdan
Modified: 2013-03-03 21:49 EST (History)
9 users (show)

See Also:
Fixed In Version: xorg-x11-server-1.7.7-15.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 627719 (view as bug list)
Environment:
Last Closed: 2010-11-15 09:51:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (115.71 KB, image/jpeg)
2010-07-29 22:08 EDT, Haruo Tomita
no flags Details
Xorg.0.log (22.66 KB, text/plain)
2010-07-29 22:14 EDT, Haruo Tomita
no flags Details

  None (edit)
Description Olivier Fourdan 2010-06-15 06:19:00 EDT
Description of problem:

The resolution selected by the MGA driver for a MGA G200e is incorrect and hides part of the screen.

During installation, the displayed image seems like it is squashed horizontally, but all the content can be seen.  

After installation, only the central part of the screen can be seen and the edges are now visible.  

This makes it impossible to see the menu and the icons at the top and bottom of the screen.

This problem did not occur in Snapshot 5 and is a regression.

Version-Release number of selected component (if applicable):

xorg-x11-drv-mga-1.4.12-1.el6.i686

How reproducible:

Always

Steps to Reproduce:
1. Run Xorg with xorg-x11-drv-mga-1.4.12-1.el6
  
Actual results:

Only the central part of the screen is visible on screen.

Expected results:

The screen is visible in its entirety

Additional info:

Our partner has  tested three kinds of displays (15inch, 17inch and 19inch monitor).  

In snapshot5, 1024x768 resolution was selected on all three monitors, but in snapshot6, 1360x768 is selected on 19inch monitor and 1280x800 is selected on others.


According to /var/log/Xorg.0.log, they found that the display resolution is estimated and shrunk to an incorrect resolution in Snapshot6.

* 19inch display
 (II) MGA(0): Estimated virtual size for aspect ratio 1.2667 is 1920x1440
   ...
 (WW) MGA(0): Shrinking virtual size estimate from 1920x1440 to 1360x768
 (--) MGA(0): Has SDRAM
 (--) MGA(0): Virtual size is 1360x768 (pitch 1376)

* 17inch display
 (II) MGA(0): Estimated virtual size for aspect ratio 1.2593 is 1280x1024
   ...
 (WW) MGA(0): Shrinking virtual size estimate from 1280x1024 to 1280x800
 (--) MGA(0): Has SDRAM
 (--) MGA(0): Virtual size is 1280x800 (pitch 1280)

* 15inch display
 (II) MGA(0): Estimated virtual size for aspect ratio 1.3043 is 1920x1440
   ...
 (WW) MGA(0): Shrinking virtual size estimate from 1920x1440 to 1280x800
 (--) MGA(0): Has SDRAM
 (--) MGA(0): Virtual size is 1280x800 (pitch 1280)

In Snapshot5, the resolution is selected 1024x768, and the graphical mode is showed normally:

* 19inch display
 (II) MGA(0): Estimated virtual size for aspect ratio 1.2667 is 1280x1024
   ...
 (WW) MGA(0): Shrinking virtual size estimate from 1280x1024 to 1024x768
 (--) MGA(0): Has SDRAM
 (--) MGA(0): Virtual size is 1024x768 (pitch 1024)

* 17inch display
 (II) MGA(0): Estimated virtual size for aspect ratio 1.2593 is 1280x1024
   ...
 (WW) MGA(0): Shrinking virtual size estimate from 1280x1024 to 1024x768
 (--) MGA(0): Has SDRAM
 (--) MGA(0): Virtual size is 1024x768 (pitch 1024)

* 15inch display
 (II) MGA(0): Estimated virtual size for aspect ratio 1.3043 is 1024x768
   ...
 (--) MGA(0): Has SDRAM
 (--) MGA(0): Virtual size is 1024x768 (pitch 1024)
Comment 2 Olivier Fourdan 2010-06-15 08:11:12 EDT
I wonder if that could this be this patch:

   xserver-1.7.6-default-modes.patch

Which is present in xorg-x11-server-1.7.7-2.el6.src.rpm (snapshot 6) and not in xorg-x11-server-1.7.6-5.el6.src.rpm (snapshot 5).
Comment 3 Adam Jackson 2010-06-15 10:23:49 EDT
There was a bug in the initial version of that patch, which should be fixed in xorg-x11-server-1.7.7-5.el6.  Please retry with that server version and let me know if you still see it there.
Comment 12 Adam Jackson 2010-06-23 11:14:34 EDT
I think this needs the following patch from RHEL5:

xserver-1.1.1-improve-mode-selection.patch

Which should pretty much fix it, as long as we never change classic modelist construction to add GTF modes if the sink claims to be GTF compatible.  I don't think we ever will do that; classic setup tries really hard to infer sync ranges and stuff in modes based on that, but does so as M_T_DEFAULT not M_T_DRIVER, so they'll be present at low priority already.

Devel ack, straight port.
Comment 14 Adam Jackson 2010-06-24 12:59:27 EDT
Fixed in 1.7.7-15.el6

MODIFIED
Comment 17 Haruo Tomita 2010-07-29 21:54:38 EDT
(In reply to comment #14)
> Fixed in 1.7.7-15.el6
> MODIFIED 
   
I tested with 1.7.7-17.el6. 
The resolution seems not to be correct.

* 17inch display

(--) MGA(0): Has SDRAM
(--) MGA(0): Virtual size is 1360x768 (pitch 1408)
(**) MGA(0): *Default mode "1360x768": 85.5 MHz, 47.7 kHz, 60.0 Hz
Comment 18 Haruo Tomita 2010-07-29 22:08:38 EDT
Created attachment 435446 [details]
screenshot

The Virtual size of X was 1360 x 768.
However, the resolution supported by the monitor is 1280 x 1024.
The screen size becomes illegal.
Comment 19 Haruo Tomita 2010-07-29 22:14:02 EDT
Created attachment 435447 [details]
Xorg.0.log

It is a Xorg.0.log gathered when the screen becomes illegal.
Comment 22 Martin Wilck 2010-08-19 11:39:36 EDT
I can confirm Tomita-san's assertion. 

The default resolution is still 1360 x 768 on most systems. That is a resolution that many monitors can't display cleanly.

The ON_QA status of this bug is misleading.
Comment 25 releng-rhel@redhat.com 2010-11-15 09:51:56 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.